
*Ford Youth Vulunerability
*Entrepreneurship in MENA region **
* By Caroline Krafft & Reham Rizk
*Descriptives
*v12
*Original 11/19/17 
*Updated 2020.09.04
*CK
	
set scheme s1mono

use "Data/Integrated LMPs v3.0.Entrep.dta", replace  

*************************************
* Economic Activity (7 Categories)*
*************************************

gen econact =.
replace econact =1 if usecac1d ==0
replace econact =2 if usecac1d>=1 &usecac1d<=4
replace econact =3 if usecac1d==5
replace econact =4 if usecac1d==6
replace econact =5 if usecac1d==7
replace econact =6 if usecac1d==8
replace econact=7 if usecac1d>=9 & usecac1d<=20

label def econact 1 "Agric."  2 "Manuf. & mining" 3 "Constr." 4 "Wholesale & retail" ///
						5 "Transp. & storage" 6 "Accomm. & food" 7 "Other acts." , replace						
label value econact econact 
label var econact "Econ. Activ.(7 Cat)"

			tab lmst econact if cty==1 [aw=expan_indiv], row nofreq
			tab lmst econact if cty==2 [aw=expan_indiv], row nofreq
			tab lmst econact if cty==3 [aw=expan_indiv], row nofreq

	
codebook usocp1d

*************************************
* For reviewer comment: Economic Activity (8 Categories)* 
*************************************

gen econact8 =.
replace econact8 =1 if usecac1d ==0
replace econact8 =2 if usecac1d>=1 &usecac1d<=4
replace econact8 =3 if usecac1d==5
replace econact8 =4 if usecac1d==6
replace econact8 =5 if usecac1d==7
replace econact8 =6 if usecac1d==8
replace econact8=7 if usecac1d==9
replace econact8=8 if usecac1d>=10 & usecac1d<=20

label def econact8 1 "Agric."  2 "Manuf. & mining" 3 "Constr." 4 "Wholesale & retail"   ///
						5 "Transp. & storage" 6 "Accomm. & food" 7 "Inf.& comm."  8 "Other acts." , replace						
label value econact8 econact8 
label var econact8 "Econ. Activ.(8 Cat)"

tab econact8 lmst if age>=15 & age<=64 & lmst>=1 & lmst<=3 [aw=expan_indiv], col nofreq
 

*************		
* Occupation
*************
		
gen occup=.
*Prof/Man.
replace occup=1 if usocp1d==1 | usocp1d==2
*White Collar 
replace occup=2 if usocp1d==3 | usocp1d==4  | usocp1d==5
*Blue collar
replace occup=3 if usocp1d>=6 & usocp1d<=9

lab def occup 1 "Man. & Prof." 2 "White collar" 3 "Blue collar", replace
lab val occup occup
tab occup

			tab lmst occup if cty==1 [aw=expan_indiv], row nofreq
			tab lmst occup if cty==2 [aw=expan_indiv], row nofreq
			tab lmst occup if cty==3 [aw=expan_indiv], row nofreq

*	 Firm size (with outside establishment)
			
			tab lmst usfirm_size if cty==1 [aw=expan_indiv], col nofreq
			tab lmst usfirm_size if cty==2 [aw=expan_indiv], col nofreq
			tab lmst usfirm_size if cty==3 [aw=expan_indiv], col nofreq


			gen firmsize=2 	   if usfirm_size==1
			replace firmsize=3 if usfirm_size==2
			replace firmsize=4 if usfirm_size>=3 & usfirm_size<=6
			replace firmsize=1 if usestblp==0
			
			la def size 2 "1-4" 3 "5-9" 4 "10+"  1 "Outside est."
			la val firmsize size

			
		
		    tab lmst firmsize if cty==1 [aw=expan_indiv], col nofreq
			tab lmst firmsize if cty==2 [aw=expan_indiv], col nofreq
			tab lmst firmsize if cty==3 [aw=expan_indiv], col nofreq
             tab firmsize
	
	

	
* AVERAGE WORK HOURS *ushrswk1

* MEDICAL INSURANCE

gen usmedins100=(usmedins==1)*100 if usmedins!=. & usemp1==1 & (cty==1 | cty==3)
*Only wage workers asked in Jordan


* SOCIAL INSURANCE 
gen ussocins100=(ussocins==1)*100 if ussocins!=. & usemp1==1

****************************************************************************************************
*Stats:	Outcomes
*****************************************************************************************************	

tabu lmst cty if age>=15 & age<=64 [aw=expan_indiv], col nofreq

****************************************************************************************************
*Stats:	Unemployment rates
*****************************************************************************************************	

table agegrp2 cty if age>=15 & age<=64 [aw=expan_indiv], c(mean unempsr1m)
table educ_4cat cty if age>=15 & age<=64 [aw=expan_indiv], c(mean unempsr1m)

****************************************************************************************************
*Table 1:	SAMPLE DESC					
*****************************************************************************************************	
egen lmst_cty=group(cty lmst), label
tabu lmst_cty

tabout sex agegrp1 educ_4cat urban evrmar fteduc_4cat mteduc_4cat ftempst_4cat mtempst_3cat qwealth  lmst_cty if age>=15 & age<=64  [aw=expan_indiv] using "Graphs and Tables/Descriptive_all.xls",  ///
 c(col) replace f(0) npos(row) ptotal(single)   

tabout sex agegrp1 educ_4cat urban evrmar fteduc_4cat mteduc_4cat ftempst_4cat mtempst_3cat qwealth  cty if age>=15 & age<=64 & lmst!=. [aw=expan_indiv] using "Graphs and Tables/Descriptive_all.xls",  ///
 c(col) append f(0) npos(row) ptotal(single)    
 
****************************************************************************************************
*Table 5:	JOB CHAR BY EMP STAT AND COUNTRY
*****************************************************************************************************

drop if lmst ==4
drop if lmst ==5
drop if lmst ==.

tabout econact occup firmsize lmst_cty [aw=expan_indiv] using "Graphs and Tables/jobchar.xls", ///
cells(col) replace f(0) npos(row) ptotal(single)

tabout econact occup firmsize cty if lmst!=. [aw=expan_indiv] using "Graphs and Tables/jobchar.xls", ///
cells(col) append f(0) npos(row) ptotal(single)

tabout lmst_cty [aw=expan_indiv] using "Graphs and Tables/jobchar.xls", ///
cells(mean ushrswk1 mean usmedins100 mean ussocins100) append f(0) sum 

tabout cty if lmst!=. [aw=expan_indiv] using "Graphs and Tables/jobchar.xls", ///
cells(mean ushrswk1 mean usmedins100 mean ussocins100) append f(0) sum 


	
*Table 5: Reported job satisfaction by empl. status****


use "Data/Integrated LMPs v3.0 Job Satisf.dta", replace 

keep if lmst>=1 & lmst<=3

reshape long satis@, i(indid) j(char)

la def Lsat 1 "Job security" 2 "Earnings" 3 "Type of work" ///
4 "No. hours" 5 "Schedule" 6 "Conditions" 7 "Commute" 8 "Match qual."

la val char Lsat	

egen lmst_cty=group(cty lmst), label
tabu lmst_cty

tabout char lmst_cty [aw=expan_indiv] using "Graphs and Tables/jobchar.xls", ///
cells(mean satis) append f(0) sum 

tabout char cty if lmst!=. [aw=expan_indiv] using "Graphs and Tables/jobchar.xls", ///
cells(mean satis) append f(0) sum 
