
*Ford Youth Vulunerability
*Enterpreneurship in MENA region **
* By Caroline Krafft & Reham Rizk
*Panel dynamics
*v3
*Original 12/10/17
*Updated 9/29/18
*CK


use "Data/Egypt/elmps 2012 panel 98_12 v2.3.dta", clear


*Get medians
sum RmnthwgCPI12_98 [aw=expan_98], detail
sum RmnthwgCPI12_06 [aw=expan_06], detail
sum RmnthwgCPI12_12 [aw=expan_12], detail


sum Rmnthwg* [aw=panel_wt_98_06_12], detail
*2500

*Categorizing

graph twoway kdensity RmnthwgCPI12_98 [aw=panel_wt_98_06] if RmnthwgCPI12_98<2500 &  (usempstp_06==2 | usempstp_06==3 | usempstp_06==4) & usempstp_98==1, ///
lcolor(gs13) lpatt("l") bw(200) || ///
kdensity RmnthwgCPI12_06 [aw=panel_wt_98_06] if RmnthwgCPI12_06<2500 & (usempstp_98==2 | usempstp_98==3 | usempstp_98==4) & usempstp_06==1, ///
lcolor(gs7) lpatt(shortdash) bw(200) || ///
kdensity RmnthwgCPI12_06 [aw=panel_wt_06_12] if RmnthwgCPI12_06<2500 &  (usempstp_12==2 | usempstp_12==3 | usempstp_12==4) & usempstp_06==1, ///
lcolor(gs7) lpatt("l") bw(200) || ///
kdensity RmnthwgCPI12_12 [aw=panel_wt_06_12] if RmnthwgCPI12_12<2500 & (usempstp_06==2 | usempstp_06==3 | usempstp_06==4) & usempstp_12==1, ///
lcolor(gs1) lpatt(dash) bw(200) || ///
, note("") xtitle("Real (2012) monthly wage") ///
ytitle("Density") legend(label(1 "Wages in 1998 to ent. 2006") label(2 "Wages in 2006 from ent. 1998")  ///
 label(3 "Wages in 2006 to ent. 2012") label(4 "Wages in 2012 from ent. 2006")) ///
xlabel(0(500) 2500 658 "98 med." 786 "06 med." 900 "12 med.", angle(45)) ///
xline(658, lcolor(gs13)) xline(786, lcolor(gs7)) xline(900, lcolor(gs1)) plotregion(margin(zero))


graph save "Graphs and Tables/Egypt panel dyn wage.gph", replace
graph export "Graphs and Tables/Egypt panel dyn wage.png", replace


*Dynamics

use "Data/Egypt/elmps 2012 panel 98_12 v2.3.dta", clear

gen indid="818"+indid_12


merge m:1 indid using "Data/Egypt/ELMPS 2012 full income for integration.dta"

drop if _merge!=3

*Into local currency
replace ipreinc=ipreinc*3.51

gen obs_diff=ipreinc-RmnthwgAllJobCPI12_06

sum obs_diff [aw=panel_wt_06_12] if usempstp_06==1 & usemp1_12==1 & usempstp_12!=1, detail


gen rp_5=r(p5)
gen rp_95=r(p95)


graph twoway kdensity obs_diff if usempstp_06==1 & usemp1_12==1 & usempstp_12!=1 & ///
 obs_diff>=rp_5 & obs_diff<=rp_95  [aw=panel_wt_06_12], bw(200) ///
 plotregion(margin(zero)) xtitle("Actual 2012-Actual 2006 earnings (real 2012 LE)") ///
 ytitle("Density") legend(off) ///
 xline(0)
 
 graph save "Graphs and Tables/EG Obs Panel.gph", replace
graph export "Graphs and Tables/EG Obs Panel.png", replace


bysort usecac1d_cl_12: sum obs_diff [aw=panel_wt_06_12] if usempstp_06==1 & usemp1_12==1 & usempstp_12!=1, detail


bysort usecac1d_cl_06: sum obs_diff [aw=panel_wt_06_12] if usempstp_06==1 & usemp1_12==1 & usempstp_12!=1, detail

clear



******************************************
*Transition matrices, 2006 to 2012 (Egypt)
******************************************

use "Data/Egypt/elmps 2012 panel 98_12 v2.3.dta", clear


*Labor market status
gen lmst_12=.
*Wage worker
replace lmst_12=3 if usempstp_12==1 & usemp1_12==1
*Employer
replace lmst_12=1 if usempstp_12==2 & usemp1_12==1
*Self-employed or UFW
replace lmst_12=2 if (usempstp_12==3 | usempstp_12==4) & usemp1_12==1
*Unemployed, standard market definition
replace lmst_12=4 if usemp1_12==0 & unempsr1_12==1
*OLF
replace lmst_12=5 if usemp1_12==0 & unempsr1_12==0

label define Llmst_12 1 "Employer" 2 "Self-Employed" 3 "Wage worker" 4 "Unemployed" 5 "OLF" 

label values lmst_12 Llmst_12
lab var lmst_12 "Labor market status"



*Labor market status
gen lmst_06=.
*Wage worker
replace lmst_06=3 if usempstp_06==1 & usemp1_06==1
*Employer
replace lmst_06=1 if usempstp_06==2 & usemp1_06==1
*Self-employed or UFW
replace lmst_06=2 if (usempstp_06==3 | usempstp_06==4) & usemp1_06==1
*Unemployed, standard market definition
replace lmst_06=4 if usemp1_06==0 & unempsr1_06==1
*OLF
replace lmst_06=5 if usemp1_06==0 & unempsr1_06==0

label define Llmst_06 1 "Employer" 2 "Self-Employed" 3 "Wage worker" 4 "Unemployed" 5 "OLF" 

label values lmst_06 Llmst_06
lab var lmst_06 "Labor market status"





*All
tabu lmst_06 lmst_12 if age_12>=15 & age_12<=64 [aw=panel_wt_06_12], row nofreq

*Male
tabu lmst_06 lmst_12 if sex_12==1 & age_12>=15 & age_12<=64 [aw=panel_wt_06_12], row nofreq

*Female
tabu lmst_06 lmst_12 if sex_12==2 & age_12>=15 & age_12<=64 [aw=panel_wt_06_12], row nofreq

*N
*All
tabu lmst_06 lmst_12 if age_12>=15 & age_12<=64 & panel_wt_06_12!=.

*Male
tabu lmst_06 lmst_12 if sex_12==1 & age_12>=15 & age_12<=64 & panel_wt_06_12!=.

*Female
tabu lmst_06 lmst_12 if sex_12==2 & age_12>=15 & age_12<=64 & panel_wt_06_12!=.


tabout lmst_06 lmst_12 if age_12>=15 & age_12<=64 & sex_12==1 [aw=panel_wt_06_12] ///
using "Graphs and Tables/EG_all.xls", c(row) npos(col) replace

tabout lmst_06 lmst_12 if age_12>=15 & age_12<=64 & sex_12==2 [aw=panel_wt_06_12] ///
using "Graphs and Tables/EG_all.xls", c(row) npos(col) append

tabout lmst_06 lmst_12 if age_12>=15 & age_12<=64 [aw=panel_wt_06_12] ///
using "Graphs and Tables/EG_all.xls", c(row) npos(col) append


** Jordan 
use "Data/Jordan/JLMPS 2016 panel v1.1.dta", clear

*Labor market status
gen lmst_16=.
*Wage worker
replace lmst_16=3 if usempstp_16==1 & usemp1_16==1
*Employer
replace lmst_16=1 if usempstp_16==2 & usemp1_16==1
*Self-employed or UFW
replace lmst_16=2 if (usempstp_16==3 | usempstp_16==4) & usemp1_16==1
*Unemployed, standard market definition
replace lmst_16=4 if usemp1_16==0 & unempsr1_16==1
*OLF
replace lmst_16=5 if usemp1_16==0 & unempsr1_16==0

label define Llmst_16 1 "Employer" 2 "Self-Employed" 3 "Wage worker" 4 "Unemployed" 5 "OLF" 

label values lmst_16 Llmst_16

lab var lmst_16 "Labor market status"






*Labor market status
gen lmst_10=.
*Wage worker
replace lmst_10=3 if usempstp_10==1 & usemp1_10==1
*Employer
replace lmst_10=1 if usempstp_10==2 & usemp1_10==1
*Self-employed or UFW
replace lmst_10=2 if (usempstp_10==3 | usempstp_10==4) & usemp1_10==1
*Unemployed, standard market definition
replace lmst_10=4 if usemp1_10==0 & unempsr1_10==1
*OLF
replace lmst_10=5 if usemp1_10==0 & unempsr1_10==0

label define Llmst_10 1 "Employer" 2 "Self-Employed" 3 "Wage worker" 4 "Unemployed" 5 "OLF" 

label values lmst_10 Llmst_10
lab var lmst_10 "Labor market status"

tab lmst_10
tab lmst_16







*All
tabu lmst_10 lmst_16 if age_16>=15 & age_16<=64 [aw=panel_wt_10_16], row nofreq

*Male
tabu lmst_10 lmst_16 if sex_16==1 & age_16>=15 & age_16<=64 [aw=panel_wt_10_16], row nofreq

*Female
tabu lmst_10 lmst_16 if sex_16==2 & age_16>=15 & age_16<=64 [aw=panel_wt_10_16], row nofreq


*N
*All
tabu lmst_10 lmst_16 if age_16>=15 & age_16<=64 & panel_wt_10_16!=.

*Male
tabu lmst_10 lmst_16 if sex_16==1 & age_16>=15 & age_16<=64 & panel_wt_10_16!=.

*Female
tabu lmst_10 lmst_16 if sex_16==2 & age_16>=15 & age_16<=64 & panel_wt_10_16!=.

tabout lmst_10 lmst_16 if age_16>=15 & age_16<=64 & sex_16==1 [aw=panel_wt_10_16] ///
using "Graphs and Tables/JO_all.xls", c(row) npos(col) replace

tabout lmst_10 lmst_16 if age_16>=15 & age_16<=64 & sex_16==2 [aw=panel_wt_10_16] ///
using "Graphs and Tables/JO_all.xls", c(row) npos(col) append

tabout lmst_10 lmst_16 if age_16>=15 & age_16<=64 [aw=panel_wt_10_16] ///
using "Graphs and Tables/JO_all.xls", c(row) npos(col) append


